def strint(alist):
    nlist = []
    for value in alist:
       nlist.append(int(value))
    return nlist   
"""       
def ausDatei():
    datei = open('rätsel.txt','r')
    dimension = datei.readline()
    anzahl_zeilen, anzahl_spalten = dimension.split() 
    zeilenwerte = datei.readline()
    spaltenwerte = datei.readline()
    spiel.append(strint(spaltenwerte.split()))
    spiel.append(strint(zeilenwerte.split()))
    for i in range(1,anzahl_zeilen+1):
        hilf = datei.readline()
        spiel.append(strint(hilf.split()))
    #hier noch Anzahl der Teile in die 0. Zeile und 0. Spalte bringen    
    return spiel
"""

def eingabe(anzahl_zeilen, anzahl_spalten):
    spiel = []
    print("Bitte geben Sie die Werte für die besetzten Zellen ein.")
    zeilenwerte = input("Bitte alle Zeilenwerte für die " + str(anzahl_zeilen) + " Zeilen mit Leerzeichen eingeben: ")
    spaltenwerte = input("Bitte alle Spalteenwerte für die " + str(anzahl_spalten) + " Spalten mit Leerzeichen eingeben: ")
    spiel.append(strint(spaltenwerte.split()))
    spiel.append(strint(zeilenwerte.split()))
    print("Bitte gebe Sie nun die vorgegebenen Zellwerte zeilenweise mit Leerzeichen ein.")
    print("0 - leer")
    print("1 - Schiffsende links")
    print("2 - Schiffsende rechts")
    print("3 - Schiffsende oben")
    print("4 - Schiffsende unten")
    print("5 - Schiffsmitte")
    for i in range(1,anzahl_zeilen+1):
        hilf = input(str(anzahl_spalten) + " Werte für die Zeile" + str(i) + ": ")
        spiel.append(strint(hilf.split()))
    #hier noch Anzahl der Teile in die 0. Zeile und 0. Spalte bringen    
    return spiel

def ausgabe(feld):
    felda = []
    for e in feld[2:]:
        e = ["<" if x==1 else x for x in e]
        e = [">" if x==2 else x for x in e]
        e = ["^" if x==3 else x for x in e]
        e = ["v" if x==4 else x for x in e]
        e = ["o" if x==5 else x for x in e]
        felda.append(e)
    print()
    print("* " + str(feld[0]))
    for i in range(len(feld) - 2):
        print(str(feld[1][i]) + " " + str(felda[i]))
        
              
feld = eingabe(10, 8)
print(feld)
ausgabe(feld)           
            
            